#-----NETWORK----#
endpoint_add_tcp "0.0.0.0:{{ fivem_port }}"
endpoint_add_udp "0.0.0.0:{{ fivem_port }}"

#-----DATABASE----#
set es_enableCustomData 1 
set mysql_connection_string "server=localhost;uid={{ mysql_users_db }};password={{ mysql_users_password_db }};database={{ mysql_fivem_databases }}"
set mysql_slow_query_warning 5000

#-----ONESYNC----#
set onesync on
set onesync_enabled true
set onesync_distanceCullVehicles false #Cause des crash pour le moment + Cause des joueurs invisibles
set onesync_forceMigration true 
set onesync_workaround763185 true
sets onesync legacy

#-----RESOURCE----#
##### DEFAULT #####
ensure mapmanager
ensure chat
ensure spawnmanager
ensure sessionmanager
ensure basic-gamemode
ensure hardcap
ensure rconlog

##### DISABLE #####
stop webadmin
stop monitor


##### UI #####
ensure esx_menu_default
ensure esx_menu_dialog
ensure esx_menu_list

###### ESSENTIEL ######
ensure mysql-async
ensure essentialmode
ensure esplugin_mysql
ensure es_extended
ensure vSync
ensure bob74_ipl

###### Esx ######

#### Esx-Base ####
ensure esx_addoninventory #Coffre inventaire société
ensure esx_billing #Facture
ensure esx_skin # Création perso
ensure esx_identity # Création identitée
ensure esx_status # Faim et soif
ensure esx_service # Prise de service métiers
ensure esx_society
ensure esx_addonaccount #Argent Société
ensure esx_datastore #Coffre
ensure skinchanger # Changement perso

#-----PARAMETER----#
# This allows players to use scripthook-based plugins such as the legacy Lambda Menu.
# Set this to 1 to allow scripthook. Do note that this does _not_ guarantee players won't be able to use external plugins.
sv_scriptHookAllowed 0

# Uncomment this and set a password to enable RCON. Make sure to change the password - it should look like rcon_password "YOURPASSWORD"
#rcon_password ""

# A comma-separated list of tags for your server.
# For example:
# - sets tags "drifting, cars, racing"
# Or:
# - sets tags "roleplay, military, tanks"
sets tags "{{ fivem_tag }}, DSG"

# A valid locale identifier for your server's primary language.
# For example "en-US", "fr-CA", "nl-NL", "de-DE", "en-GB", "pt-BR"
sets locale "{{ fivem_lang }}" 
# please DO replace root-AQ on the line ABOVE with a real language! :)

# Set an optional server info and connecting banner image url.
# Size doesn't matter, any banner sized image will be fine.
#sets banner_detail "https://url.to/image.png"
#sets banner_connecting "https://url.to/image.png"

# Set your server's hostname
sv_hostname "{{ fivem_hostname }}"

# Set your server's Project Name
sets sv_projectName "{{ fivem_projectName  }}"

# Set your server's Project Description
sets sv_projectDesc "{{ fivem_projectDesc  }}, Server Created with DesiredServerGames [DSG]"

# Nested configs!
#exec server_internal.cfg

# Loading a server icon (96x96 PNG file)
#load_server_icon myLogo.png

# convars which can be used in scripts
set temp_convar "hey world!"

# Remove the `#` from the below line if you do not want your server to be listed in the server browser.
# Do not edit it if you *do* want your server listed.
#sv_master1 ""

# Add system admins
add_ace group.admin command allow # allow all commands
add_ace group.admin command.quit deny # but don't allow quit
add_principal identifier.{{ fivem_steamid_admin }}:1 group.admin # add the admin to the group

# Server player slot limit (see https://fivem.net/server-hosting for limits)
sv_maxclients {{ fivem_max_players }}

# Steam Web API key, if you want to use Steam authentication (https://steamcommunity.com/dev/apikey)
# -> replace "" with the key
set steam_webApiKey "{{ fivem_steam_webApi }}"

# License key for your server (https://keymaster.fivem.net)
sv_licenseKey {{  fivem_licenseKey  }}
